List clients
Clients with their IDs and notes.
GET https://cotlet.dev/api/v1/resource-guru/clients
read
Returns each client with its ID, name and notes. Use the ID in create_project and create_booking.
Parameters
| Name | Type | Description |
|---|---|---|
| archived boolean | boolean | True to list archived clients instead of active ones. |
Request
curl https://cotlet.dev/api/v1/resource-guru/clients \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("resource-guru", "list_clients") const result = await cotlet.call('resource-guru', 'list_clients'); cotlet call resource-guru list_clients Example response
{
"clients": [
{
"id": 55120,
"name": "Acme Ltd",
"notes": "Retainer client"
}
]
}